package kr.xit.core.biz.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import kr.xit.core.biz.model.LoggingDTO;

/**
 * <pre>
 * description : API db logging
 *
 * packageName : kr.xit.core.biz.mapper
 * fileName    : ILoggingMapper
 * author      : limju
 * date        : 2023-05-11
 * ======================================================================
 * 변경일         변경자        변경 내용
 * ----------------------------------------------------------------------
 * 2023-05-11    limju       최초 생성
 *
 * </pre>
 */
@Mapper
public interface ILoggingMapper {

    List<LoggingDTO> selectLogging(final LoggingDTO reqDTO);
    LoggingDTO selectLogging();

    void saveLogging(final LoggingDTO reqDTO);
    void updateLogging(final LoggingDTO reqDTO);
}
